Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class Expression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression

    class Expression
    extends AnnotatedNode

Represents a base class for expressions which evaluate as an object

author:
  James Strachan

version:
  $Revision: 17114 $

Constructor Summary
`Expression()`

Method Summary
`ClassNode` | `getType()`
`void` | `setType(ClassNode t)`
`Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`protected List` | `transformExpressions(List expressions, ExpressionTransformer transformer)` Transforms the list of expressions
`protected List` | `transformExpressions(List expressions, ExpressionTransformer transformer, Class transformedType)` Transforms the list of expressions, and checks that all transformed expressions have the given type.

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Expression

    Expression()

Method Detail

### getType

    public ClassNode getType()

### setType

    public void setType(ClassNode t)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

  Return a copy of the expression calling the transformer on any nested expressions
  param:
    transformer

### transformExpressions

    protected List transformExpressions(List expressions, ExpressionTransformer transformer)

  Transforms the list of expressions
  return:
    a new list of transformed expressions

### transformExpressions

    protected List transformExpressions(List expressions, ExpressionTransformer transformer, Class transformedType)

  Transforms the list of expressions, and checks that all transformed expressions have the given type.
  return:
    a new list of transformed expressions

Copyright © 2003-2009 The Codehaus. All rights reserved.